<< sftrans | FOSSEE_Signal_Processing_Toolbox | shanwavf >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sgolay

# sgolay

This function computes the filter coefficients for all Savitzsky-Golay smoothing filters.

### Syntax

    F = sgolay (p, n)
    F = sgolay (p, n, m)
    F = sgolay (p, n, m, ts)

### Parameters

p:

  polynomial

n:

  odd integer value, larger than polynomial p

m:

  positive integer less than 2^31 or logical

ts:

  real or complex value

### Description

This function computes the filter coefficients for all Savitzsky-Golay smoothing filters of order p for length n (odd). m can be used in order to get directly the mth derivative; ts is a scaling factor.

### Examples

    y = sgolay(1,3,0)

Report an issue
<< sftrans | FOSSEE_Signal_Processing_Toolbox | shanwavf >>